<!--
Copyright (C) 2018 Freetech Solutions

This file is part of OMniLeads

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see http://www.gnu.org/licenses/.

-->
{% extends "base.html" %}
{% load static %}
{% load i18n %}
{% block head_js %}
<script type="text/javascript" src="{% static 'reportes_app/JS/reporte_grafico_campana.js' %}"></script>
{% endblock %}
{% block content %}
 <script type="text/javascript" src="{% static 'ominicontacto/JS/pygal-tooltips.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'ominicontacto/JS/pygal-tooltips.js' %}"></script>



{% with graficos_estadisticas=graficos_estadisticas %}
<input id="campana_fecha_inicio" type="hidden" value="{{campana.fecha_inicio|date:"d/m/Y"}}">
<h1>{% trans 'Campaña:' %} {{campana.nombre}}</h1>
<div class="jumbotron">
    <div class="form-row">
        {% if graficos_estadisticas.estadisticas.llamadas_pendientes != None %}
            <div class="col-md-6">
                <h1 class="display-2">{{graficos_estadisticas.estadisticas.llamadas_pendientes}}</h1>
                <h3>{% trans 'Llamadas Pendientes' %}</h3>
            </div>
        {% endif %}
        {% if graficos_estadisticas.estadisticas.llamadas_realizadas != None %}
            <div class="col-md-6">
                <h1 class="display-2">{{graficos_estadisticas.estadisticas.llamadas_realizadas}}</h1>
                <h3>{% trans 'Llamadas Realizadas' %} </h3>
                {% if campana_entrante %}
                    <h3>{% trans '(Se muestran las llamadas del día actual)' %} </h3>
                {% endif %}
            </div>
        {% endif %}
        {% if graficos_estadisticas.estadisticas.llamadas_recibidas != None %}
            <div class="col-md-6">
                <h1 class="display-2">{{graficos_estadisticas.estadisticas.llamadas_recibidas}}</h1>
                <h3>{% trans 'Llamadas Recibidas' %}</h3>
                {% if campana_entrante %}
                    <h3>{% trans '(Se muestran las llamadas del día actual)' %} </h3>
                {% endif %}
            </div>
        {% endif %}
        {% if graficos_estadisticas.estadisticas.tiempo_promedio_espera != None %}
            <div class="col-md-6">
                <h1 class="display-2">{{graficos_estadisticas.estadisticas.tiempo_promedio_espera|floatformat}}</h1>
                <h3>{% trans 'Tiempo promedio de espera (en segundos)' %}</h3>
                {% if campana_entrante %}
                    <h3>{% trans '(Se muestran las llamadas del día actual)' %} </h3>
                {% endif %}
            </div>
        {% endif %}
        {% if graficos_estadisticas.estadisticas.tiempo_promedio_abandono != None %}
            <div class="col-md-6">
                <h1 class="display-2">{{graficos_estadisticas.estadisticas.tiempo_promedio_abandono|floatformat}}</h1>
                <h3>{% trans 'Tiempo promedio de abandono (en segundos)' %}</h3>
                {% if campana_entrante %}
                    <h3>{% trans '(Se muestran las llamadas del día actual)' %} </h3>
                {% endif %}
            </div>
        {% endif %}
    </div>
    <div>
        <a class="btn btn-outline-primary" href="{% url 'campana_reporte_pdf' campana.pk %}" target="_blank">{% trans 'Exportar Reporte(PDF)' %}</a>
    </div>
</div>
<br>
<div id="wrapper-search">
    <button id="btnCollapse" class="btn btn-block" type="button" data-toggle="collapse" data-target="#wrapperSearchForm" aria-expanded="true" aria-controls="wrapperSearchForm"><span class="icon icon-search"></span>{% trans 'Buscar' %}</button>
    <div id="wrapperSearchForm" class="show">
        <form role="form" method="post" enctype="multipart/form-data" >
            {% csrf_token %}
            <div class="form-row">
                <div class="col-md-6">
                    {{form.fecha}}
                </div>
            </div>
            <button type="submit" id="id_buscar_btn" class="btn btn-primary">
                {% trans "Filtrar por esa fecha" %}
            </button>
        </form>
    </div>
</div>

<div>
    <h2>{% trans "Reportes de contactados" %}</h2>
    <a class="btn btn-outline-primary btn-sm" href="{% url 'exporta_reporte_llamados_contactados' campana.pk %}">{% trans "Exportar Reporte de contactados (CSV)" %}</a>
    <hr>
    <h3>{% trans "Llamadas conectadas al agente" %}</h3>
    <br>
    <div class="form-row">
        <div class="col-md-6">
            <table class="table table-sm">
                <thead>
                    <tr>
                        <th>{% trans "Calificacion" %}</th>
                        <th>{% trans "Cantidad" %}</th>
                    </tr>
                </thead>
                <tbody>
                    {% for calificaciones_nombre, calificaciones_cantidad in graficos_estadisticas.dict_campana_counter %}
                        <tr>
                            <td>{{ calificaciones_nombre }}</td>
                            <td>{{ calificaciones_cantidad }}</td>
                        </tr>
                    {% endfor %}
                        <tr>
                            <td>{% trans "Total asignados" %}</td>
                            <td>{{graficos_estadisticas.total_asignados}}</td>
                        </tr>
                </tbody>
            </table>
        </div>
        <div class="col-md-6">
            <div class="graficos-avances">
                <figure>
                    {{ graficos_estadisticas.barra_campana_calificacion.render_unicode|safe }}
                </figure>
            </div>
        </div>
    </div>
    <a class="btn btn-outline-primary btn-sm" href="{% url 'exporta_reporte_calificados' campana.pk %}">{% trans "Exportar Reporte de contactos calificadas (CSV)" %}</a>
</div>
<br>
<hr>
<br>
<div>
    <h2>{% trans "Cantidad de llamados no atendidos" %}</h2>
    <br>
    <div class="form-row">
        <div class="col-md-6">
            <table class="table table-sm">
                <thead>
                    <tr>
                        <th>{% trans "Resultado" %}</th>
                        <th>{% trans "Cantidad" %}</th>
                    </tr>
                </thead>
                <tbody>
                    {% for resultado_nombre, resultado_cantidad in graficos_estadisticas.dict_no_atendido_counter %}
                        <tr>
                            <td>{{ resultado_nombre }}</td>
                            <td>{{ resultado_cantidad }}</td>
                        </tr>
                    {% endfor %}
                        <tr>
                            <td>{% trans "Total no atendidos" %}</td>
                            <td>{{graficos_estadisticas.total_no_atendidos}}</td>
                        </tr>
                </tbody>
            </table>
        </div>
        <div class="col-md-6">
            <div class="graficos-avances">
                <figure>
                    {{ graficos_estadisticas.barra_campana_no_atendido.render_unicode|safe }}
                </figure>
            </div>
        </div>
    </div>
    <div>
        <a class="btn btn-outline-primary btn-sm" href="{% url 'exporta_reporte_no_atendidos' campana.pk %}">{% trans "Exportar Reporte llamadas no atendidas (CSV)" %}</a>
    </div>
    <br>
</div>

<div>
    <table class="table">
        <thead>
            <tr>
                <th>{% trans 'Agente' %}</th>
                <th>{% trans 'Gestiones' %}</th>
                {% for calificacion in graficos_estadisticas.calificaciones %}
                    <th>{{ calificacion }}</th>
                {% endfor %}
                <th>{% trans 'Contactos calificados' %}</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            {% for agente_pk, estadisticas_agente in graficos_estadisticas.agentes_venta.items %}
                <tr>
                    <td><a href="{% url 'campana_reporte_agente' pk_campana agente_pk %}">{{ estadisticas_agente.nombre }}</a></td>
                    <td>{{ estadisticas_agente.total_gestionados  }}</td>
                    {% for calificados_opcion in estadisticas_agente.totales_calificaciones.values %}
                        <td>{{ calificados_opcion }}</td>
                    {% endfor %}
                    <td>{{ estadisticas_agente.total_calificados }}</td>
                </tr>
            {% endfor %}
            <tr>
                <td>{% trans "Totales" %}</td>
                <td>{{graficos_estadisticas.total_ventas}}</td>
                <td colspan="{{ graficos_estadisticas.calificaciones|length }}"></td>
                <td>{{graficos_estadisticas.total_calificados}}</td>
            </tr>
        </tbody>
    </table>
</div>
<br>
<hr>
<br>
<div>
    <h2>{% trans "Detalle de las llamadas" %}</h2>
    <br>
    <div class="form-row">
        <div class="col-md-6">
            <table class="table table-sm">
                <thead>
                    <tr>
                        <th>{% trans "Llamadas" %}</th>
                        <th>{% trans "Cantidad" %}</th>
                    </tr>
                </thead>
                <tbody>
                    {% for llamadas_nombre, llamadas_cantidad in graficos_estadisticas.dict_llamadas_counter %}
                        <tr>
                            <td>{{ llamadas_nombre }}</td>
                            <td>{{ llamadas_cantidad }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
        <div class="col-md-6" align="center">
            <div class="graficos-avances">
                <figure>
                    {{ graficos_estadisticas.barra_campana_llamadas.render_unicode|safe }}
                </figure>
            </div>
        </div>
    </div>
</div>


{% endwith %}
{% endblock %}
